[youtubei.js](../README.md) / Platform

# Class: Platform

## Constructors

### new Platform()

> **new Platform**(): [`Platform`](Platform.md)

#### Returns

[`Platform`](Platform.md)

## Accessors

### shim

> `get` `static` **shim**(): [`PlatformShim`](../namespaces/Types/interfaces/PlatformShim.md)

#### Returns

[`PlatformShim`](../namespaces/Types/interfaces/PlatformShim.md)

#### Defined in

[src/utils/Utils.ts:19](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/utils/Utils.ts#L19)

## Methods

### load()

> `static` **load**(`platform`): `void`

#### Parameters

• **platform**: [`PlatformShim`](../namespaces/Types/interfaces/PlatformShim.md)

#### Returns

`void`

#### Defined in

[src/utils/Utils.ts:16](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/utils/Utils.ts#L16)
